Subject: uboot and ppc405

From: "Zhang Ke" <[email-masked]>
Date: Wed, 21 Jun 2006 14:29:38 +0800

Hi,

I want to use Uboot in v2pro for booting linux from xilinx flash PROM. is it doable?

my board is a custom board, which has a XC2VP20, XCF32P, DDR, UART

at present, i can run a open core linux on the board by JTAG and UART. but i must use iMPACT to download bit file(about 0.97MB), use XMD to download elf file(about 4.43MB). this is too slow :(

can i use flash PROM to store these two files? and when power on, the UBoot can download them automatically and orderly to FPGA?

I found the XAPP542 from xilinx, but it use UBoot to config FPGA from the files stored in SystemACE Compact Flash Card. Unfortunately, my board does NOT has SystemACE:(

I also want to ask you that whether my XCF32P(32 Mbit=4MB) is large enough for storing the whole things?

Help me :(
Thank you :)
			
--------------
Zhang Ke
2006-06-21